/*COPYRIGHT**
 *
 * Copyright (C) 2011 Intel Corporation
 *
 * This software and the related documents are Intel copyrighted materials, and your use of them
 * is governed by the express license under which they were provided to you ("License"). Unless
 * the License provides otherwise, you may not use, modify, copy, publish, distribute, disclose
 * or transmit this software or the related documents without Intel's prior written permission.
 *
 * This software and the related documents are provided as is, with no express or implied
 * warranties, other than those that are expressly stated in the License.















**COPYRIGHT*/





#ifndef _HSWUNC_SA_H_INC_
#define _HSWUNC_SA_H_INC_

/*
 * Local to this architecture: Haswell uncore SA unit 
 * 
 */
#define HSWUNC_SA_DESKTOP_DID      0x000C04
#define HSWUNC_SA_NEXT_ADDR_OFFSET 4
#define HSWUNC_SA_BAR_ADDR_SHIFT   32
#define HSWUNC_SA_BAR_ADDR_MASK    0x0007FFFFFF000LL
#define HSWUNC_SA_MAX_PCI_DEVICES  16
#define HSWUNC_SA_MAX_COUNT        0x00000000FFFFFFFFLL
#define HSWUNC_SA_MAX_COUNTERS     8

#define HSWUNC_SA_MCHBAR_MMIO_PAGE_SIZE    8 * 4096
#define HSWUNC_SA_PCIEXBAR_MMIO_PAGE_SIZE  57 * 4096
#define HSWUNC_SA_OTHER_BAR_MMIO_PAGE_SIZE 4096
#define HSWUNC_SA_GDXCBAR_OFFSET_LO        0x5420
#define HSWUNC_SA_GDXCBAR_OFFSET_HI        0x5424
#define HSWUNC_SA_GDXCBAR_MASK             0x7FFFFFF000LL
#define HSWUNC_SA_CHAP_SAMPLE_DATA         0x00020000
#define HSWUNC_SA_CHAP_STOP                0x00040000
#define HSWUNC_SA_CHAP_CTRL_REG_OFFSET     0x0

#define HSWUNC_SA_PAGE_MASK        0xfffffffffffff000
#define HSWUNC_SA_PAGE_OFFSET_MASK 0xfff
#define HSWUNC_SA_PAGE_SIZE        0x1000

extern DISPATCH_NODE hswunc_sa_dispatch;

#endif

